PipeWire 1.2.6

Loading...
Searching...
No Matches
Data Structures | Macros | Functions
loop.h File Reference
Core API » Loop

`pipewire/loop.h` More...

Go to the source code of this file.

## Data Structures
struct | pw_loop

## Macros
#define | pw_loop_add_source(l, ...)
#define | pw_loop_update_source(l, ...)
#define | pw_loop_remove_source(l, ...)
#define | pw_loop_invoke(l, ...)
#define | pw_loop_get_fd(l)
#define | pw_loop_add_hook(l, ...)
#define | pw_loop_enter(l)
#define | pw_loop_leave(l)
#define | pw_loop_iterate(l, ...)
#define | pw_loop_add_io(l, ...)
#define | pw_loop_update_io(l, ...)
#define | pw_loop_add_idle(l, ...)
#define | pw_loop_enable_idle(l, ...)
#define | pw_loop_add_event(l, ...)
#define | pw_loop_signal_event(l, ...)
#define | pw_loop_add_timer(l, ...)
#define | pw_loop_update_timer(l, ...)
#define | pw_loop_add_signal(l, ...)
#define | pw_loop_destroy_source(l, ...)

## Functions
struct pw_loop * | pw_loop_new (const struct spa_dict *props)
| Create a new loop.
void | pw_loop_destroy (struct pw_loop *loop)
| Destroy a loop.
int | pw_loop_set_name (struct pw_loop *loop, const char *name)

## Detailed Description

`pipewire/loop.h`